# draugr.torch_utilities.optimisation.stopping.overfitting.OverfitDetector

class draugr.torch_utilities.optimisation.stopping.overfitting.OverfitDetector(patience: int, writer: callable = <built-in function print>, minimization: bool = True, callback: ~typing.Optional[callable] = None, verbose: bool = False)

  Bases: `AbstractContextManager`

  description

  __init__(patience: int, writer: callable = <built-in function print>, minimization: bool = True, callback: ~typing.Optional[callable] = None, verbose: bool = False)

    NOTE: equality, greater or less than

    Parameters

      - patience –

      - writer –

      - minimization –

  Methods

  `__init__`(patience[, writer, minimization, ...]) | NOTE: equality, greater or less than
  `reset`() | description

  reset() → None

    description